﻿using IGDocumentation;
using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DataGridCustomLabelText
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }

    public class MyTemplateSelector : DataTemplateSelector
    {
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            var header = (LabelPresenter)Infragistics.Windows.Utilities.GetAncestorFromType(container, typeof(LabelPresenter), false);
            if (header != null)
            {
                var recordManager = HeaderPresenter.GetRecordManager(header);
                var parentRecord = recordManager.ParentDataRecord;
                if (parentRecord != null)
                {
                    var parentDataItem = parentRecord.DataItem as Category;

                    (container as ContentPresenter).Content = parentDataItem.CategoryName;
                }
            }

            return base.SelectTemplate(item, container);
        }
    }
}
